Subject: Re: bug#8047: 23.2.94; Auto image mode breaks C-x C-w

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Feb 2011 19:57:19 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked]
> Date: Wed, 16 Feb 2011 09:40:23 -0500
> 
> >> >  emacs -Q
> >> >  C-x C-f FOO.png RET  (or any other image file)
> >> >  C-x C-w BAR.png RET
> >> >
> >> >    => save-buffer: Text is read-only
> >> I don't see this in current emacs-23 or trunk on GNU/Linux.
> > Set require-final-newline non-nil, and you will.
> 
> Even if it's set to `ask'?

Of course not.

> As for the actual fix, maybe require-final-newline should be ignored
> when the encoding is `binary'?

That's what I have in mind; feel free to beat me to it, because I
don't buy the argument that since this was so in Emacs 22, we need to
live with it until 24.1.